<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Hipe</title>
    <script src="https://www.paypal.com/sdk/js?&client-id={{ client_id }}&merchant-id={{ merchant_id }}"></script>
    <script>
        paypal.Buttons({
            createOrder: function (data, actions) {
                return fetch('/api/create-order', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'Authorization': 'Bearer {{ token }}'
                    },
                    body: JSON.stringify({
                        seller_id: {{ seller_id }}
                    })
                }).then(function(res) {
                    return res.json();
                }).then(function(data) {
                    return data.id;
                });
            },
            onApprove: function (data, actions) {
                return fetch('/my-server/capture-order/100', {
                    method: 'POST'
                }).then(function(res) {
                    if (!res.ok) {
                        alert('Something went wrong');
                    }
                });
            }
        }).render('#paypal-button-container');
    </script>
</head>
<body>
    <div id="paypal-button-container"></div>
</body>
</html>